package com.mortals.xhx.module.project.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.project.model.vo.ProjectVo;
/**
* 构建工程信息实体对象
*
* @author zxfei
* @date 2021-11-03
*/

public class ProjectEntity extends ProjectVo {
    private static final long serialVersionUID = 1L;

    /**
    * 工程名称
    */
    private String name;
    /**
    * 工程地址
    */
    private String projectPath;
    /**
    * 工程版本
    */
    private String version;
    /**
    * 备注
    */
    private String remark;



    public ProjectEntity(){}
    /**
    * 获取 工程名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 工程名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 工程地址
    * @return String
    */
    public String getProjectPath(){
        return projectPath;
    }
    /**
    * 设置 工程地址
    * @param projectPath
    */
    public void setProjectPath(String projectPath){
        this.projectPath = projectPath;
    }
    /**
    * 获取 工程版本
    * @return String
    */
    public String getVersion(){
        return version;
    }
    /**
    * 设置 工程版本
    * @param version
    */
    public void setVersion(String version){
        this.version = version;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProjectEntity) {
            ProjectEntity tmp = (ProjectEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",projectPath:").append(getProjectPath());
        sb.append(",version:").append(getVersion());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){
            this.name = null;
            this.projectPath = null;
            this.version = "";
            this.remark = null;
    }
}